%global debug_package %{nil}
%global realname etap


Name:		erlang-%{realname}
Version:	0.3.4
Release:	4%{?dist}
Summary:	Erlang testing library
Group:		Development/Languages
License:	BSD
URL:		http://github.com/ngerakines/etap
# wget http://github.com/ngerakines/etap/tarball/0.3.4
Source0:	ngerakines-etap-17b8d43.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
Requires: erlang-erts
Requires: erlang-inets
Requires: erlang-kernel
Requires: erlang-stdlib
Requires: erlang-tools


%description
Etap is a collection of Erlang modules that provide a TAP testing client
library.


%prep
%setup -q -n ngerakines-etap-17b8d43


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.markdown
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_application.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_can.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_exception.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_process.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_report.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_request.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_string.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_web.beam


%changelog
* Tue Sep 28 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-4
- Narrowed BuildRequires

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-3
- Rebuild for Erlang/OTP R14A
- Simplified spec-file

* Thu May 13 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-2
- Narrowed explicit requires

* Wed Apr  7 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-1
- initial package

